{% extends 'base.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <h1>Liste utilisateurs</h1>
{{ form(form) }}
    <table class="table">
        <thead>
            <tr>
              <!-- <th>Id</th> -->
                <th>Email</th>
              <!--  <th>Roles</th> -->
              <!--  <th>Password</th> -->
                <th>Prénom</th>
                <th>Nom</th>
                <th>Sexe</th>
                <th>Date de naissance</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
            
                <td>{{ user.email }}</td>
              <!--  <td>{{ user.roles ? user.roles|json_encode : '' }}</td> -->
                <td>{{ user.lastName }}</td>
                <td>{{ user.firstName }}</td>
                <td>{{ user.sexe }}</td>
                <td>{{ user.dateOfBirth ? user.dateOfBirth|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('user_show', {'id': user.id}) }}">Afficher</a>
                    <a href="{{ path('user_edit', {'id': user.id}) }}">Modifier</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">Aucun utilisateur trouvé</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('user_new') }}">Créer un nouveau utilisateur</a>
{% endblock %}
